For the complete documentation index, see llms.txt. This page is also available as Markdown.

Offer

Endpoints for Offer addon

Offer addon

post

Create a offer request

Authorizations
sw-context-tokenstringRequired
Body
billigAddressIdstringOptional
deliverAddressIdstringOptional
subjectstringOptional
commissionstringOptional
customerCommentstringOptional
Responses
200Success

No content

post/offer-request
POST /offer-request HTTP/1.1
sw-context-token: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 114

{
  "billigAddressId": "text",
  "deliverAddressId": "text",
  "subject": "text",
  "commission": "text",
  "customerComment": "text"
}
200Success

No content

post

Create a offer item request

Authorizations
sw-context-tokenstringRequired
Body
billigAddressIdstringOptional
deliverAddressIdstringOptional
subjectstringOptional
commissionstringOptional
customerCommentstringOptional
Responses
200Success

No content

post/offer-item-request
POST /offer-item-request HTTP/1.1
sw-context-token: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 191

{
  "billigAddressId": "text",
  "deliverAddressId": "text",
  "subject": "text",
  "commission": "text",
  "customerComment": "text",
  "lineItems": [
    {
      "id": "text",
      "productId": "text",
      "quantity": 1,
      "comment": "text"
    }
  ]
}
200Success

No content

get

Get reffered product

Authorizations
sw-context-tokenstringRequired
Path parameters
productIdstringRequired

ID of product

Responses
200

Order

application/json
anyOptional
get/b2b/offer-reference-product/{productId}
GET /b2b/offer-reference-product/{productId} HTTP/1.1
sw-context-token: YOUR_API_KEY
Accept: */*
200

Order

No content

Converts an offer into an order

post
Authorizations
sw-context-tokenstringRequired
Path parameters
idstringRequired

ID of offer

Responses
200

Order

application/json
anyOptional
post/offer-order/{id}
POST /offer-order/{id} HTTP/1.1
sw-context-token: YOUR_API_KEY
Accept: */*
200

Order

No content

post

Request validity for an offer

Authorizations
sw-context-tokenstringRequired
Path parameters
idstringRequired

ID of offer

Responses
200

Returns a success response indicating a successful update

application/json
anyOptional
post/offer/{id}/request-validity-extension
POST /offer/{id}/request-validity-extension HTTP/1.1
sw-context-token: YOUR_API_KEY
Accept: */*
200

Returns a success response indicating a successful update

No content

post

list offer states

Authorizations
sw-context-tokenstringRequired
Body
anyOptional
Responses
200Success

No content

post/offer-states
POST /offer-states HTTP/1.1
sw-context-token: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 2

{}
200Success

No content

get

gets a document related to an offer

Authorizations
sw-context-tokenstringRequired
Path parameters
idstringRequired

ID of document

Responses
200

the document

No content

get/offer-document/{id}
GET /offer-document/{id} HTTP/1.1
sw-context-token: YOUR_API_KEY
Accept: */*
200

the document

No content

Get event mail

get
Authorizations
sw-context-tokenstringRequired
Path parameters
idstringRequired

ID of offer mail

Responses
200Success

No content

get/offer-mail/{id}
GET /offer-mail/{id} HTTP/1.1
sw-context-token: YOUR_API_KEY
Accept: */*
200Success

No content

Send offer mail

post
Authorizations
sw-context-tokenstringRequired
Path parameters
idstringRequired

ID of offer

Responses
200

Returns a success response indicating a successful send

application/json
anyOptional
post/offer-mail/{id}
POST /offer-mail/{id} HTTP/1.1
sw-context-token: YOUR_API_KEY
Accept: */*
200

Returns a success response indicating a successful send

No content

get

Get a offer

Authorizations
sw-context-tokenstringRequired
Path parameters
idstringRequired

ID of offer

Responses
200Success

No content

get/offer/{id}
GET /offer/{id} HTTP/1.1
sw-context-token: YOUR_API_KEY
Accept: */*
200Success

No content

put

Update a offer

Authorizations
sw-context-tokenstringRequired
Path parameters
idstringRequired

ID of offer

Body
anyOptional
Responses
200Success

No content

put/offer/{id}
PUT /offer/{id} HTTP/1.1
sw-context-token: YOUR_API_KEY
Content-Type: application/json
Accept: */*
200Success

No content

delete

Delete a offer

Authorizations
sw-context-tokenstringRequired
Path parameters
idstringRequired

ID of offer

Responses
200

Returns a success response indicating a successful update

application/json
anyOptional
delete/sales-representative/offer/{id}
DELETE /sales-representative/offer/{id} HTTP/1.1
sw-context-token: YOUR_API_KEY
Accept: */*
200

Returns a success response indicating a successful update

No content

List offers

post
Authorizations
sw-context-tokenstringRequired
Body
anyOptional
Responses
200Success

No content

post/offer/list
POST /offer/list HTTP/1.1
sw-context-token: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 2

{}
200Success

No content

List offers

get
Authorizations
sw-context-tokenstringRequired
Body
anyOptional
Responses
200Success

No content

get/offer/
GET /offer/ HTTP/1.1
sw-context-token: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 2

{}
200Success

No content

create new offer

post
Authorizations
sw-context-tokenstringRequired
Body
anyOptional
Responses
200Success

No content

post/offer/
POST /offer/ HTTP/1.1
sw-context-token: YOUR_API_KEY
Content-Type: application/json
Accept: */*
200Success

No content

Clone an offer

post

This route is used to clone a Offer

Authorizations
sw-context-tokenstringRequired
Path parameters
idstringRequired

ID of offer

Responses
200Success

No content

post/sales-representative/clone-offer/{id}
POST /sales-representative/clone-offer/{id} HTTP/1.1
sw-context-token: YOUR_API_KEY
Accept: */*
200Success

No content

post

Add items to an offer

Authorizations
sw-context-tokenstringRequired
Path parameters
offerIdstringRequired

ID of offer

Body
objectB2bsellersOfferItem[]Optional
Responses
200

Returns a success response indicating a successful update

application/json
anyOptional
post/offer-add-products/{offerId}
POST /offer-add-products/{offerId} HTTP/1.1
sw-context-token: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 13

{
  "object": []
}
200

Returns a success response indicating a successful update

No content

Last updated

Was this helpful?